%global pkgname fga

Name:           gap-pkg-%{pkgname}
Version:        1.3.0
Release:        1%{?dist}
Summary:        Free group algorithms for GAP

License:        GPLv2+
URL:            http://www.icm.tu-bs.de/ag_algebra/software/FGA/
Source0:        http://www.icm.tu-bs.de/ag_algebra/software/FGA/FGA-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel

Requires:       gap-core
Requires(post): gap-core
Requires(postun): gap-core

%description
The FGA package provides methods for computations with finitely
generated subgroups of free groups.

It allows you to (constructively) test membership and conjugacy, and to
compute free generators, the rank, the index, normalizers, centralizers,
and intersections where the groups involved are finitely generated
subgroups of free groups.

In addition, it provides generators and a finite presentation for the
automorphism group of a finitely generated free group and allows to
write any such automorphism as word in these generators.

%prep
%setup -q -n %{pkgname}

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{doc/make_doc,COPYING,README}

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%check
gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" < tst/testall.g

%files
%doc README
%license COPYING
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%docdir %{_gap_dir}/pkg/%{pkgname}/htm
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Wed Aug 26 2015 Jerry James <loganjerry@gmail.com> - 1.3.0-1
- New upstream version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 18 2015 Jerry James <loganjerry@gmail.com> - 1.2.0-1
- Initial RPM (bz 1222690)
